Skip to content

Applications ​

This page documents on how to:

Fetch applications ​

Fetch a list of applications.

Scope ​

applications_read

Endpoint ​

http
GET /applications

Open in Postman

The payload in this endpoint is paginated. Information will be provided in the headers.

Consult the guide for pagination

Accepted params ​

All parameters should be in the querystring.

ParamTypeExample valueDefaultDescription
embedString"applicant,campaign,tags"nullWanted embedded data, separated with comas. Available values: [applicant,campaign,comments,skills,status_history,tags]
campaign_idInteger42nullFetch applications for a specific Campaign only
is_completeBooleantruenullFetch only complete or uncompleted applications
sourceString"carriere"nullFetch applications for a specific Source only
statusObject-nullObject with status data
status["value"]String"interview"All statusesApplication status (value field) set by the Manager (cf application statuses endpoint). This field is mandatory if you want to use the date filter.
status["date"]Object-nullObject with date data. The value filter is mandatory for using this filter.
status["date"]["gte"]String"2000-01-01"nullapplications whose status had been changed after or at this date. Format is YYYY-MM-DD.
status["date"]["lte"]String"2000-01-01"nullapplications whose status had been changed before or at this date. Format is YYYY-MM-DD.
orderString"created_at""created_at"Chosen field for ordering the data. Available values: ["created_at"]
sortString"desc""desc"Way of sorting the data. Available values: ["asc","desc"]
pageInteger11Page to fetch
per_pageInteger5050Quantity of data by page (max value is 50)

Embedded data ​

Querying embedded data in this endpoint will be deprecated soon. Embeds can still be requested in the show endpoint, just below.

In this endpoint, embedded data can be requested:

  • applicant: Applicant light data linked to the Application
  • campaign: Campaign light data linked to the Application
  • comments: Comments linked to the Application
  • skills: Skills fetched from resume file if the option is active for the client
  • status_history: Application's status updates history. NB : The status updates are only avalaible for changes made after 2021-05-06 (this feature didn't exist before this date)
  • status_history:status_value: Optionally, a status can be specified after a : to get only status updates related to this value. Ex: ?embed=status_history:validated
  • tags: Tags set by the Manager to the Application
  • entity: Entity light data linked to the Campaign
  • unit: Unit light data linked to the Entity

Examples ​

See all applications and their applicant who have been rejected.
http
GET https://api.talentview.fr/v2/applications?embed=applicant&status[value]=rejected

View response example

Retrieve all applications that have had the status "interview" between 2021-12-31 and 2022-06-15.
http
GET https://api.talentview.fr/v2/applications?status[value]=interview&status[date][gte]=2021-12-31&status[date][lte]=2022-06-15

View response example

See applications from indeed that are not finished, and what campaign they are from.
http
GET https://api.talentview.fr/v2/applications?is_complete=false&source=indeed&page=2&embed=campaign

View response example

Fetch application ​

Fetch one application.

Scope ​

applications_read

Endpoint ​

http
GET /applications/:id

Open in Postman

Accepted params ​

ParamTypeExample valueDefaultDescription
idInteger1-In the path, id of the Applicant to fetch.
embedString"applicant,campaign,tags"nullWanted embedded data, separated with comas. Available values: [applicant,campaign,comments,skills,status_history,tags]

Embedded data ​

In this endpoint, embedded data can be requested:

  • applicant: Applicant light data linked to the Application
  • campaign: Campaign light data linked to the Application
  • comments: Comments linked to the Application
  • skills: Skills fetched from resume file if the option is active for the client
  • status_history: Application's status updates history. NB : The status updates are only avalaible for changes made after 2021-05-06 (this feature didn't exist before this date)
  • status_history:status_value: Optionally, a status can be specified after a : to get only status updates related to this value. Ex: ?embed=status_history:validated
  • tags: Tags set by the Manager to the Application
  • entity: Entity light data linked to the Campaign
  • unit: Unit light data linked to the Entity

Examples ​

See all data avalaible for an application with id of 15.
http
GET https://api.talentview.fr/v2/applications/15?embed=applicant,campaign,comments,skills,status_history,tags

View response example

Create application ​

Create an Application for a specific Applicant.

Scope ​

applications_write

Endpoint ​

http
POST /applications

Open in Postman

Accepted params ​

All parameters should be in the request's body.

ParamTypeExample valueRequiredDescription
campaign_idInteger1✓Campaign id linked to the Application. The Campaign status has to be online, draft or standby
applicant_idInteger42✓ / ✗Applicant id who owns the Application. (required if application_email is undefined)
applicant_emailString"foo@bar.com"✓ / ✗Applicant email who owns the Application. (required if application_id is undefined)
applicationObject-✗Application data
application["source"]String"indeed"✗Source of the Application (has to be a source from the Company sources list)
application["resume"]Object-✗Uploading a resume will update the Application status to "complete". To upload a resume, both base64 and mime_type following fields are required. NB: the resume is uploaded asynchronously. The resume_url cand be found in fetch applicant, fetch applicants or fetch applications.
application["resume"]["base64"]String"JVBERi0xLjQ..."✓ / ✗Resume encoded in base64.
application["resume"]["mime_type"]String"pdf"✓ / ✗Mime type of the file. Available values: ["pdf", "jpg", "png", "doc", "docx"]
application["comments"]Object or Array of Objects-✗Usable to create Comments linked to the Application
application["comments"]["content"]String"My comment"✗Content of the Comment linked to this Application
application["comments"]["attachment"]Object-✗To upload an attachment, both base64 and mime_type following fields are required. NB: the attached file is uploaded asynchronously.
application["comments"]["attachment"]["base64"]String"JVBERi0xLjQ..."✓ / ✗Attached file encoded in base64.
application["comments"]["attachment"]["mime_type"]String"png"✓ / ✗Mime type of the file. Available values: ["pdf", "jpg", "png", "doc", "docx", "xlsx"]
application["tags"]Array of String["my-tag", "my-other-tag"]✗Each element is a Tag name. Please note that if the Company has its tags restricted, only authorized values are taken into consideration.

Examples ​

Create an application with comments.

URL:

http
POST https://api.talentview.fr/v2/applications

BODY:

json
{
    "campaign_id":                  1,
    "applicant_id":                 42,
    "application": {
        "source":                   "indeed",
        "resume": {
            "mime_type":            "pdf",
            "base64":               "iVBORw0K..."
        },
        "comments":[{
            "content":              "First comment content",
            "attachment":{
                "mime_type":        "jpeg",
                "base64":           "iVBORw0K..."
            }
        },{
            "content":              "Other comment content",
            "attachment":{
                "mime_type":        "png",
                "base64":           "iVBORw0K..."
            }
        }]
    }
}

View response example

Customer documentation for the Kelio ATS API